## org.apache.lucene.util
Class ToStringUtils

    java.lang.Object
      org.apache.lucene.util.ToStringUtils

    public final class ToStringUtils

extends Object

Helper methods to ease implementing `Object.toString()`.

Method Summary
`static String` `boost(float boost)` for printing boost only if not 1.0
`static void` `byteArray(StringBuilder buffer, byte[] bytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### boost

    public static String boost(float boost)

  for printing boost only if not 1.0

### byteArray

    public static void byteArray(StringBuilder buffer,
                                 byte[] bytes)